> For the complete documentation index, see [llms.txt](https://docs.cloud.debank.com/en/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.cloud.debank.com/en/debank-connect/api/user-social-data.md).

# User Social Data

## Get user follower list

#### Method

get

#### Path

/v1/user/follower\_list

#### paramater

* `start`: `integer` offset, default is 0.
* `limit`: `integer` limit size, default is 20, max is 100.

#### Returns

* follower\_list: List of User objects
  * id: string - User address
  * web3\_id: string - The user's unique id in DeBank
  * name: string - Same to web3\_id
  * logo\_url: string - user logo url
  * born\_at: double - user on-chain born time
  * tvf: double - Value of user's followers
* total\_count: int - total follower count

Request

{% tabs %}
{% tab title="Curl" %}

```bash
curl -X 'GET' 'https://api.connect.debank.com/v1/user/follower_list' -H 'accept: application/json' -H 'Authorization: Bearer {Your access_token}'
```

{% endtab %}
{% endtabs %}

Response

```
{
    "follower_list": [
      {
        "id": "0x7a16ff8270133f063aab6c9977183d9e72835428",
        "logo_thumbnail_url": null,
        "logo_url": null,
        "web3_id": "michwill"
        "name": "michwill"
      }
    ],
    "total_count": 838
}
```

## Get user following list

#### Method

get

#### Path

/v1/user/following\_list

#### paramater

* `start`: `integer` offset, default is 0.
* `limit`: `integer` limit size, default is 20, max is 100.

#### Returns

* following\_list: List of User objects
  * id: string - User address
  * web3\_id: string - The user's unique id in DeBank
  * name: string - Same to web3\_id
  * logo\_url: string - user logo url
  * born\_at: double - user on-chain born time
  * tvf: double - Value of user's followers
* total\_count: int - total following count

Request

{% tabs %}
{% tab title="Curl" %}

```bash
curl -X 'GET' 'https://api.connect.debank.com/v1/user/following_list' -H 'accept: application/json' -H 'Authorization: Bearer {Your access_token}'
```

{% endtab %}
{% endtabs %}

Response

```
{
    "following_list": [
      {
        "id": "0x7a16ff8270133f063aab6c9977183d9e72835428",
        "logo_thumbnail_url": null,
        "logo_url": null,
        "web3_id": "michwill"
        "name": "michwill"
      }
    ],
    "total_count": 838
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.cloud.debank.com/en/debank-connect/api/user-social-data.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
